include \masm32\include\masm32rt.inc

DialogProc proto :DWORD, :DWORD, :DWORD, :DWORD

.data

.data?

ICCEx					INITCOMMONCONTROLSEX			<>
hInstance				DWORD							?

.const

TB_PING					EQU								50
TB_TRACE				EQU								51
TB_TELNET				EQU								52
TB_SSH					EQU								53
TB_RDC					EQU								54

.code
    Start:

xor ebx, ebx
mov ICCEx.dwSize, sizeof ICCEx
mov ICCEx.dwICC, ICC_BAR_CLASSES OR ICC_STANDARD_CLASSES OR ICC_WIN95_CLASSES
	invoke InitCommonControlsEx, addr ICCEx
	invoke GetModuleHandle, ebx
mov hInstance, eax

	invoke DialogBoxParam, eax, IDD_DLG, ebx, addr DialogProc, ebx
	invoke ExitProcess, ebx

LoadToolbar proc hwnd:DWORD, nButtonX:DWORD, nButtonY:DWORD, BitmapID:DWORD
LOCAL hBmp:DWORD
LOCAL hToolbar:DWORD
LOCAL TBABStruct:TBADDBITMAP
LOCAL ToolbarHeight:DWORD
LOCAL tbab:TBBUTTON

	invoke CreateMappedBitmap, hInstance, BMP_TOOLBAR, 0, NULL, 0
mov hBmp, eax

	invoke GetDlgItem, hwnd, IDC_TOOLBAR
mov hToolbar, eax

	invoke SendMessage, eax, TB_SETBITMAPSIZE, sizeof TBBUTTON, 0

mov TBABStruct.hInst, NULL
mov eax, hBmp
mov TBABStruct.nID, eax 

mov ecx, nButtonX
mov eax, nButtonY
mov ToolbarHeight, eax

shl eax, 16
mov ax, cx

	invoke SendMessage, hToolbar, TB_SETBITMAPSIZE, 0, eax
	invoke SendMessage, hToolbar, TB_ADDBITMAP, 5, addr TBABStruct

mov tbab.fsState, TBSTATE_ENABLED
mov tbab.dwData, 0

mov tbab.iBitmap, 0
mov tbab.idCommand, TB_PING
mov tbab.fsStyle, TBSTYLE_BUTTON
mov tbab.iString, chr$("Ping")
	invoke SendMessage, hToolbar, TB_ADDBUTTONS, 1, addr tbab
	
mov tbab.iBitmap, 1
mov tbab.idCommand, TB_TRACE
mov tbab.fsStyle, TBSTYLE_BUTTON
mov tbab.iString, chr$("Trace")
	invoke SendMessage, hToolbar, TB_ADDBUTTONS, 1, addr tbab

mov tbab.iBitmap, 2
mov tbab.idCommand, TB_TELNET
mov tbab.fsStyle, TBSTYLE_BUTTON
mov tbab.iString, chr$("Telnet")
	invoke SendMessage, hToolbar, TB_ADDBUTTONS, 1, addr tbab
	
mov tbab.iBitmap, 3
mov tbab.idCommand, TB_SSH
mov tbab.fsStyle, TBSTYLE_BUTTON
mov tbab.iString, chr$("SSH")
	invoke SendMessage, hToolbar, TB_ADDBUTTONS, 1, addr tbab
		 
mov tbab.iBitmap, 4
mov tbab.idCommand, TB_RDC
mov tbab.fsStyle, TBSTYLE_BUTTON
mov tbab.iString, chr$("RDC")
	invoke SendMessage, hToolbar, TB_ADDBUTTONS, 1, addr tbab
	
ret
LoadToolbar endp

DialogProc proc hwndDlg:DWORD, uMsg:DWORD, wParam:DWORD, lParam:DWORD

	.IF uMsg == WM_INITDIALOG
	
			invoke LoadToolbar, hwndDlg, 24, 22, BMP_TBR

		
	.ELSEIF uMsg == WM_CLOSE
		
			invoke EndDialog, hwndDlg, 0
	
	.ELSE
	
		mov eax, FALSE
		ret
		
	.ENDIF

mov eax, TRUE
ret
DialogProc endp

    end Start